\documentclass{article}
\usepackage{poetry}

\begin{document}
\poemnew
\titleauthorpoem{Chili cheese dogs}{Colby Goettel}
\poemlinenumsfalse
\setlength{\poemhinwd}{2em}
\setcounter{poemindentevery}{2}
\setlength{\poemverseskip}{2em}
\pagenumbering{gobble}

% Center the poem on the longest line (all other lines will truncate based on this, so use the longest).
\centerpoemon{Sometimes plans end in the microwave with a side of mustard.}

\begin{poem}
Lean beef: \\
not too fat. \\
Boiling water \\
to get the meat to mince just right. \\
Spices: \\
garlic, cumin, chili powder, salt and pepper. \\
Hot dogs: \\
Nathan's; Sabrett; quality. \\
Cheddar cheese: \\
mild, medium~--- never sharp. \\
Avocado, \\
ripe from days of careful planning. \\!

\setcounter{poemindentevery}{0}
That was the plan. \\!

\setcounter{poemindentevery}{2}
Lean beef \\
cold in the fridge. \\
Boiling water \\
still cold in the tap. \\
Spices \\
in the cupboard. \\
Cheddar cheese \\
shrink wrapped. \\
Avocado \\
soft on the counter. \\!

\setcounter{poemindentevery}{0}
Sometimes plans are too much work. \\
Sometimes plans end in the microwave with a side of mustard. \\-
\end{poem}
\end{document}
